Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2003374 - Review Request: python-xxhash - Python Binding for xxHash
Summary: Review Request: python-xxhash - Python Binding for xxHash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-09-11 16:52 UTC by Ben Beasley
Modified: 2021-09-27 01:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-24 20:27:48 UTC
Type: ---
Embargoed:
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2021-09-11 16:52:54 UTC
Spec URL: https://music.fedorapeople.org/python-xxhash.spec
SRPM URL: https://music.fedorapeople.org/python-xxhash-2.0.2-1.fc34.src.rpm
Description:

xxhash is a Python binding for the xxHash library by Yann Collet.

Fedora Account System Username: music

Koji scratch builds:

F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=75514556
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=75514824
F34: https://koji.fedoraproject.org/koji/taskinfo?taskID=75515073
F33: https://koji.fedoraproject.org/koji/taskinfo?taskID=75515116

This is a missing dependency for the “easy” and “all” extras of https://src.fedoraproject.org/rpms/python-trimesh; @neuro-sig will be granted commit privileges on this package as well.

Comment 1 Ben Beasley 2021-09-11 16:54:54 UTC
Despite being a compiled extension, this is a nearly-trivial package under the new (pyproject-rpm-macros) Python packaging guidelines.

Comment 2 Ben Beasley 2021-09-17 13:06:09 UTC
After import, or if I post an updated SRPM to address any feedback, I plan to drop

> BuildRequires:  pyproject-rpm-macros

as no longer necessary, as well as (after verifying with “rpm -qL -p …” that pyproject-rpm-macros finds the license file) removing

> %license LICENSE

but I didn’t take the time to make a new submission for those changes alone.

Comment 3 Ankur Sinha (FranciscoD) 2021-09-17 15:31:33 UTC
XXX Looks good XXX Approved XXX

(please make the tweaks you've noted already before import)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.

^ autochangelog: false alarm


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-Clause License". 15 files have
     unknown license. Detailed output of licensecheck in
     /home/asinha/dump/fedora-reviews/2003374-python-
     xxhash/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-xxhash
[x]: Package functions as described.
^
via tests

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
python3-xxhash: /usr/lib64/python3.10/site-packages/xxhash/_xxhash.cpython-310-x86_64-linux-gnu.so
^
This is fine.

Source checksums
----------------
https://files.pythonhosted.org/packages/source/x/xxhash/xxhash-2.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : b7bead8cf6210eadf9cecf356e17af794f57c0939a3d420a00d87ea652f87b49
  CHECKSUM(SHA256) upstream package : b7bead8cf6210eadf9cecf356e17af794f57c0939a3d420a00d87ea652f87b49


Requires
--------
python3-xxhash (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libxxhash.so.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python-xxhash-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-xxhash:
    python-xxhash
    python3-xxhash
    python3-xxhash(x86-64)
    python3.10-xxhash
    python3.10dist(xxhash)
    python3dist(xxhash)

python-xxhash-debugsource:
    python-xxhash-debugsource
    python-xxhash-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2003374
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Python, Shell-api
Disabled plugins: fonts, Haskell, Java, R, PHP, Perl, SugarActivity, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Ben Beasley 2021-09-17 15:35:15 UTC
Thanks for the review!

Comment 5 Ankur Sinha (FranciscoD) 2021-09-17 15:37:08 UTC
Note: ran rpmlint manually:

$ rpmlint *rpm ../srpm-unpacked/*
============================================================= rpmlint session starts =============================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 4

python-xxhash.spec:70: W: macro-in-%changelog %autochangelog
python-xxhash.spec:70: W: macro-in-%changelog %autochangelog
============================== 2 packages and 1 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 2.5 s =

That's all fine.

Comment 6 Gwyn Ciesla 2021-09-17 15:48:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-xxhash

Comment 7 Fedora Update System 2021-09-17 17:02:04 UTC
FEDORA-2021-9748f6d953 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9748f6d953

Comment 8 Fedora Update System 2021-09-17 17:16:32 UTC
FEDORA-2021-92f87926e4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-92f87926e4

Comment 9 Fedora Update System 2021-09-17 18:20:14 UTC
FEDORA-2021-fd2f6e1866 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fd2f6e1866

Comment 10 Fedora Update System 2021-09-17 19:42:36 UTC
FEDORA-2021-9748f6d953 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-9748f6d953 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9748f6d953

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-17 21:47:45 UTC
FEDORA-EPEL-2021-8291f12b2b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8291f12b2b

Comment 12 Fedora Update System 2021-09-19 05:42:07 UTC
FEDORA-2021-92f87926e4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-92f87926e4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-92f87926e4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-09-19 05:49:19 UTC
FEDORA-EPEL-2021-8291f12b2b has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8291f12b2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-09-19 05:49:52 UTC
FEDORA-2021-fd2f6e1866 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-fd2f6e1866 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fd2f6e1866

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-09-24 20:27:48 UTC
FEDORA-2021-9748f6d953 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-09-27 01:22:10 UTC
FEDORA-2021-92f87926e4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-09-27 01:24:48 UTC
FEDORA-2021-fd2f6e1866 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-09-27 01:39:46 UTC
FEDORA-EPEL-2021-8291f12b2b has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.